Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class LabelSSTRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CellRecord
                      org.apache.poi.hssf.record.LabelSSTRecord

All Implemented Interfaces:
  CellValueRecordInterface

    public final class LabelSSTRecord

extends CellRecord

Title: Label SST Record

Description: Refers to a string in the shared string table and is a column value.

REFERENCE: PG 325 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`LabelSSTRecord()`
`LabelSSTRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getSid()` return the non static version of the id for this record.
`int` | `getSSTIndex()` get the index to the string in the SSTRecord
`void` | `setSSTIndex(int index)` set the index to the string in the SSTRecord

Methods inherited from class org.apache.poi.hssf.record.CellRecord
`getColumn, getRow, getXFIndex, serialize, setColumn, setRow, setXFIndex, toString`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### LabelSSTRecord

    public LabelSSTRecord()

### LabelSSTRecord

    public LabelSSTRecord(RecordInputStream in)

Method Detail

### setSSTIndex

    public void setSSTIndex(int index)

  set the index to the string in the SSTRecord

  Parameters:
    `index` - - of string in the SST Table
  See Also:
    `SSTRecord`

### getSSTIndex

    public int getSSTIndex()

  get the index to the string in the SSTRecord

  Returns:
    index of string in the SST Table
  See Also:
    `SSTRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD